clear

#delimit ;

set more off;
set mem 320000;
set matsize 200;


capture log close;
log using education.log, replace;

use "tzfirmwids_sept07_public";

/*
Ethnic orgin options
AFRICAN.....................1   
EUROPEAN....................2   
SOUTH ASIAN (eg. Indian)....3   
EAST ASIAN (eg. Chinese)...4  
MIDDLE EASTERN..............5  
OTHER.......................6   
*/
sum;

*keep if male==1;
keep if age>14 & age<66;

keep if ethnic==1 ;

set more on;

sort round;
qui tab round, gen(rd);

gen ern94=exp(lern94);
gen exp=age-educ-7;
gen agesq=age*age/100;
drop if exp<0;
gen expsq=exp*exp;
gen lnhours=ln(hours);

gen ll=ln(emp);
gen primary_ll=primary*ll;
gen middle_ll=middle*ll;
gen olevel_ll=olevel*ll;
gen alevel_ll=alevel*ll;
gen voc_ll=vocation*ll;
gen techcol_ll=techcol*ll;
gen profes_ll=profes*ll;
gen highered_ll=highered*ll;


gen  voc_profes=1 if vocation==1 & profes==1;
replace voc_prof=0 if vocation==1 & profes~=1;
gen voc_alevel=1 if vocation==1 & alevel==1;
replace voc_alevel=0 if vocation==1 & alevel~=1;
gen voc_olevel=1 if vocation==1 & olevel==1;
replace voc_olevel=0 if vocation==1 & olevel~=1;
gen voc_primary=1 if vocation==1 & primary==1;
replace voc_primary=0 if vocation==1 & primary~=1;
gen voc_middle=1 if vocation==1 & middle==1;
replace voc_middle=0 if vocation==1 & middle~=1;
gen voc_none=1 if vocation==1 & none==1;
replace voc_none=0 if vocation==1 & none~=1;
gen voc_ck=voc_prof+voc_alevel+voc_olevel+voc_primary+voc_middle+voc_none;

gen voc_primary_ll=voc_primary*ll;
gen voc_middle_ll=voc_middle*ll;
gen voc_olevel_ll=voc_olevel*ll;
gen voc_alevel_ll=voc_alevel*ll;


gen techcol_profes=1 if techcol==1 & profes==1;
replace techcol_profes=0 if techcol==1 & profes~=1;
gen techcol_alevel=1 if techcol==1 & alevel==1;
replace techcol_alevel=0 if techcol==1 & alevel~=1;
gen techcol_olevel=1 if techcol==1 & olevel==1;
replace techcol_olevel=0 if techcol==1 & olevel~=1;
gen techcol_primary=1 if techcol==1 & primary==1;
replace techcol_primary=0 if techcol==1 & primary~=1;
gen techcol_middle=1 if techcol==1 & middle==1;
replace techcol_middle=0 if techcol==1 & middle~=1;
gen tech_ck=techcol_profes+techcol_alevel+techcol_olevel+techcol_middle;
drop if tech_ck==0 | voc_ck==0;

gen train_current=1 if trainn1==1 | trainn2==1  ; 
replace train_current=0 if train_current==.;

gen train_past=1 if trainp1==1 | trainp2==1  ; 
replace train_past=0 if train_past==.;

gen train_sc=1 if trainsc==1;
replace train_sc=0 if trainsc~=1;


gen train_current_ll=train_current*ll;
gen train_past_ll=train_past*ll;
gen train_sc_ll=train_sc*ll;

sum trainn1 trainn2 trainp1 trainp2 trainsc train_sc vocyears vocpriv;

drop if round <5;

gen ck_educ=none+primary+middle+olevel+alevel;
*drop if ck_educ ~=1;


replace none=0 if (vocation==1 | techcol==1 | profes==1 | highered==1);
replace primary=0 if (vocation==1 | techcol==1 | profes==1 | highered==1);
replace middle=0 if (vocation==1 | techcol==1 | profes==1 | highered==1);
replace olevel=0 if (vocation==1 | techcol==1 | profes==1 | highered==1);
replace alevel=0 if (vocation==1 | techcol==1 |profes==1 | highered==1);


gen ck_educ_1=none+primary+middle+olevel+alevel+vocation+techcol+profes+highered;
sum ck_educ_1;
gen ck_occ=mgmt+admin+cleric+sales+super+tech+prod+appren;
sum ck_occ;
drop if ck_educ_1~=1;
drop if appren==1;

gen eddum="iNone" if none==1;
replace eddum="hPrimary" if primary==1;
replace eddum="gMiddle" if middle==1;
replace eddum="fO-Level" if olevel==1;
replace eddum="eA-Level" if alevel==1;
replace eddum="dVocational School" if vocation==1;
replace eddum="cTechncial college" if techcol==1;
replace eddum="bProfessional" if profes==1;
replace eddum="aHiger Education" if highered==1;

gen eddum_voc="fNone" if voc_none==1;
replace eddum_voc="eAfter Primary" if voc_primary==1;
replace eddum_voc="dAfter Middle" if voc_middle==1;
replace eddum_voc="cAfter O-Level" if voc_olevel==1;
replace eddum_voc="bAfter A-Level" if  voc_alevel==1;
replace eddum_voc="aAfter Professional" if  voc_profes==1;

gen eddum_tech="eAfter Primary" if techcol_primary==1;
replace eddum_tech="dAfter Middle" if techcol_middle==1;
replace eddum_tech="cAfter O-Level" if techcol_olevel==1;
replace eddum_tech="bAfter A-Level" if techcol_alevel==1;
replace eddum_tech="aAfter Professional" if techcol_profes==1;

tabstat ern94   ,statistics(median  n) by(eddum);
tabstat ern94  if vocation==1 ,statistics(median n) by(eddum_voc);
tabstat ern94  if techcol==1 ,statistics(median n) by(eddum_tech);

tabstat emp  if vocation==1 ,statistics(median n) by(eddum_voc);

gen sizedum="Small" if emp<21;
replace sizedum="Large" if emp>=20;

sort round;
by round:sum lern93 earn94us exp expsq tenure none primary middle 
vocation olevel alevel tech profes highered ethnic voc_alevel voc_olevel voc_primary voc_middle
mgmt admin cleric sales super tech prod appren;

tabstat lern94 educ exp tenure  ,statistics(median mean sd n) by(eddum);

tabstat educdad educmum farmdad farmmum profdad profmum   ,statistics(median mean sd n) by(year);

replace voc_primary=0 if voc_primary==.;
replace voc_middle=0 if voc_middle==.;
replace voc_olevel=0 if voc_olevel==.;
replace voc_alevel=0 if voc_alevel==.;
replace techcol_primary=0 if techcol_primary==.;
replace techcol_middle=0 if techcol_middle==.;
replace techcol_olevel=0 if techcol_olevel==.;
replace techcol_alevel=0 if techcol_alevel==.;


tabstat vocation voc_primary voc_olevel highered,s(mean n) by(sizedum);

 
gen miss_ern=lern94us+male+capcity+exp+expsq+tenure+none+primary+middle+olevel
 +alevel+ profes +highered+vocation+techcol 
+train_current+ train_past+ train_sc +ll;
drop if miss_ern==.;

replace expsq=expsq/100;
gen educsq=(educ*educ)/100;

xtreg educ male capcity exp expsq tenure educdad educmum farmdad farmmum profdad profmum /*d6prim d12sec*/ ,
i(firm) fe;
test educdad educmum farmdad farmmum profdad profmum;
outreg using educ_train__tz, append;

predict res_educ_fe,e;


reg educ male capcity exp expsq tenure educdad educmum farmdad farmmum profdad profmum rd*/*d6prim d12sec*/ ,
cluster(firm) ;
test educdad educmum farmdad farmmum profdad profmum;
outreg using educ_train__tz, nolabel replace;

predict res_educ,resid;

drop if res_educ==.;

reg train_current educ male capcity exp expsq tenure mgmt admin cleric sales super tech /*prod*/ ll rd*,cluster(firm);
outreg using educ_train__tz,nolabel append;

reg train_past educ male capcity exp expsq tenure mgmt admin cleric sales super tech /*prod*/ ll rd*,cluster(firm);
outreg using educ_train__tz,nolabel append;

reg train_sc educ male capcity exp expsq tenure mgmt admin cleric sales super tech /*prod*/ ll rd*,cluster(firm);
outreg using educ_train__tz,nolabel append;

tab eddum;
tab vocation;
tab techcol;

tab eddum_voc;
tab eddum_tech;
tab train_current;
tab train_past;
tab train_sc;

tabstat earn94us educ   ,statistics(median ) by(eddum);
tabstat earn94us educ   ,statistics(median ) by(vocation);
tabstat earn94us educ   ,statistics(median ) by(techcol);


reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation  techcol  profes highered  train_current train_past train_sc rd*
,cluster(firm);


gen rm_primary=exp(_b[primary]/7)-1;
gen rm_middle=exp(_b[middle]/8)-1;
gen rm_olevel=exp(_b[olevel]/11)-1;
gen rm_alevel=exp(_b[alevel]/13)-1;
gen rm_vocation=exp(_b[vocation]/9)-1;
gen rm_techcol=exp(_b[techcol]/14)-1;
gen rm_profes=exp(_b[profes]/13)-1;
gen rm_highered=exp(_b[highered]/16)-1;
gen rm_train_c=exp(_b[train_current])-1;
gen rm_train_p=exp(_b[train_past])-1;
gen rm_train_sc=exp(_b[train_sc])-1;

sum rm*;

sum earn94 lern94us earn94us male capcity age exp tenure educ none primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel mgmt admin cleric sales super tech prod emp ll
educdad educmum farmdad farmmum profdad profmum;
sort male;
by male:sum earn94 lern94us earn94us male capcity  age exp tenure educ none primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel mgmt admin cleric sales super tech prod emp ll
educdad educmum farmdad farmmum profdad profmum;

reg lern94us male age agesq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  ll rd*;

reg lern94us lnhours male age agesq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  ll rd*;


gen capcity_m=capcity*male;
gen exp_m=exp*male;
gen expsq_m=expsq*male;
gen tenure_m=tenure*male;
gen primary_m=primary*male;
gen middle_m=middle*male;
gen olevel_m=olevel*male;
gen alevel_m=alevel*male;
gen vocation_m=vocation*male;
gen techcol_m=techcol*male;
gen profes_m=profes*male;
gen highered_m=highered*male;
gen train_current_m=train_current*male;
gen train_past_m=train_past*male;
gen train_sc_m=train_sc*male;
gen voc_primary_m=voc_primary*male;
gen voc_middle_m=voc_middle*male;
gen voc_olevel_m=voc_olevel*male;
gen voc_alevel_m=voc_alevel*male;
gen techcol_olevel_m=techcol_olevel*male;
gen techcol_alevel_m=techcol_alevel*male;

reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd*
capcity_m exp_m expsq_m tenure_m  primary_m middle_m olevel_m
 alevel_m vocation_m techcol_m profes_m highered_m  train_current_m train_past_m train_sc_m  voc_primary_m
 voc_middle_m voc_olevel_m voc_alevel_m  techcol_olevel_m techcol_alevel_m
,cluster(firm);
test capcity_m exp_m expsq_m tenure_m  primary_m middle_m olevel_m
 alevel_m vocation_m techcol_m profes_m highered_m  train_current_m train_past_m train_sc_m  voc_primary_m
 voc_middle_m voc_olevel_m voc_alevel_m  techcol_olevel_m techcol_alevel_m;

test primary_m middle_m olevel_m
 alevel_m vocation_m techcol_m profes_m highered_m  train_current_m train_past_m train_sc_m  voc_primary_m
 voc_middle_m voc_olevel_m voc_alevel_m  techcol_olevel_m techcol_alevel_m;


reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd*
,cluster(firm);
test  voc_primary voc_middle voc_olevel voc_alevel  techcol_olevel techcol_alevel;
outreg using earnings_tz ,nolabel replace;

gen rm_primary_a=exp(_b[primary]/7)-1;
gen rm_middle_a=exp(_b[middle]/8)-1;
gen rm_olevel_a=exp((_b[olevel]-_b[primary])/4)-1;
gen rm_alevel_a=exp((_b[alevel]-_b[olevel])/2)-1;
gen rm_profes_a=exp((_b[profes]-_b[olevel])/2)-1;
gen rm_highered_a=exp((_b[highered]-_b[alevel])/3)-1;

gen rm_train_c_a=exp(_b[train_current])-1;
gen rm_train_p_a=exp(_b[train_past])-1;
gen rm_train_sc_a=exp(_b[train_sc])-1;


gen rm_voc_p=exp((_b[vocation] + _b[voc_primary] -_b[primary])/2)-1;
gen rm_voc_m=exp((_b[vocation] + _b[voc_middle] -_b[middle])/2)-1;
gen rm_voc_o=exp((_b[vocation] + _b[voc_olevel] -_b[olevel])/2)-1;
gen rm_voc_a=exp((_b[vocation] + _b[voc_alevel] -_b[alevel])/2)-1;

gen rm_tech_o=exp((_b[techcol] + _b[techcol_olevel] -_b[olevel])/3)-1;
gen rm_tech_a=exp((_b[techcol] + _b[techcol_alevel] -_b[alevel])/3)-1;

reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd* res_educ
,cluster(firm);
test  voc_primary voc_middle voc_olevel voc_alevel  techcol_olevel techcol_alevel;
outreg using earnings_tz ,nolabel append;

/*suffix ee stands for education endogenous*/
gen rm_primary_a_ee=exp(_b[primary]/7)-1;
gen rm_middle_a_ee=exp(_b[middle]/8)-1;
gen rm_olevel_a_ee=exp((_b[olevel]-_b[primary])/4)-1;
gen rm_alevel_a_ee=exp((_b[alevel]-_b[olevel])/2)-1;
gen rm_profes_a_ee=exp((_b[profes]-_b[olevel])/2)-1;
gen rm_highered_a_ee=exp((_b[highered]-_b[alevel])/3)-1;

gen rm_train_c_a_ee=exp(_b[train_current])-1;
gen rm_train_p_a_ee=exp(_b[train_past])-1;
gen rm_train_sc_a_ee=exp(_b[train_sc])-1;


gen rm_voc_p_ee=exp((_b[vocation] + _b[voc_primary] -_b[primary])/2)-1;
gen rm_voc_m_ee=exp((_b[vocation] + _b[voc_middle] -_b[middle])/2)-1;
gen rm_voc_o_ee=exp((_b[vocation] + _b[voc_olevel] -_b[olevel])/2)-1;
gen rm_voc_a_ee=exp((_b[vocation] + _b[voc_alevel] -_b[alevel])/2)-1;

gen rm_tech_o_ee=exp((_b[techcol] + _b[techcol_olevel] -_b[olevel])/3)-1;
gen rm_tech_a_ee=exp((_b[techcol] + _b[techcol_alevel] -_b[alevel])/3)-1;


xtreg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd* 
,i(firm) fe;
test  voc_primary voc_middle voc_olevel voc_alevel  techcol_olevel techcol_alevel;
outreg using earnings_tz ,nolabel append;


gen rm_primary_a_fe=exp(_b[primary]/7)-1;
gen rm_middle_a_fe=exp(_b[middle]/8)-1;
gen rm_olevel_a_fe=exp((_b[olevel]-_b[primary])/4)-1;
gen rm_alevel_a_fe=exp((_b[alevel]-_b[olevel])/2)-1;
gen rm_profes_a_fe=exp((_b[profes]-_b[olevel])/2)-1;
gen rm_highered_a_fe=exp((_b[highered]-_b[alevel])/3)-1;

gen rm_train_c_a_fe=exp(_b[train_current])-1;
gen rm_train_p_a_fe=exp(_b[train_past])-1;
gen rm_train_sc_a_fe=exp(_b[train_sc])-1;


gen rm_voc_p_fe=exp((_b[vocation] + _b[voc_primary] -_b[primary])/2)-1;
gen rm_voc_m_fe=exp((_b[vocation] + _b[voc_middle] -_b[middle])/2)-1;
gen rm_voc_o_fe=exp((_b[vocation] + _b[voc_olevel] -_b[olevel])/2)-1;
gen rm_voc_a_fe=exp((_b[vocation] + _b[voc_alevel] -_b[alevel])/2)-1;

gen rm_tech_o_fe=exp((_b[techcol] + _b[techcol_olevel] -_b[olevel])/3)-1;
gen rm_tech_a_fe=exp((_b[techcol] + _b[techcol_alevel] -_b[alevel])/3)-1;

xtreg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd* res_educ
,i(firm) fe;
test  voc_primary voc_middle voc_olevel voc_alevel  techcol_olevel techcol_alevel;
outreg using earnings_tz ,nolabel append;


gen rm_primary_a_fe_ee=exp(_b[primary]/7)-1;
gen rm_middle_a_fe_ee=exp(_b[middle]/8)-1;
gen rm_olevel_a_fe_ee=exp((_b[olevel]-_b[primary])/4)-1;
gen rm_alevel_a_fe_ee=exp((_b[alevel]-_b[olevel])/2)-1;
gen rm_profes_a_fe_ee=exp((_b[profes]-_b[olevel])/2)-1;
gen rm_highered_a_fe_ee=exp((_b[highered]-_b[alevel])/3)-1;

gen rm_train_c_a_fe_ee=exp(_b[train_current])-1;
gen rm_train_p_a_fe_ee=exp(_b[train_past])-1;
gen rm_train_sc_a_fe_ee=exp(_b[train_sc])-1;


gen rm_voc_p_fe_ee=exp((_b[vocation] + _b[voc_primary] -_b[primary])/2)-1;
gen rm_voc_m_fe_ee=exp((_b[vocation] + _b[voc_middle] -_b[middle])/2)-1;
gen rm_voc_o_fe_ee=exp((_b[vocation] + _b[voc_olevel] -_b[olevel])/2)-1;
gen rm_voc_a_fe_ee=exp((_b[vocation] + _b[voc_alevel] -_b[alevel])/2)-1;

gen rm_tech_o_fe_ee=exp((_b[techcol] + _b[techcol_olevel] -_b[olevel])/3)-1;
gen rm_tech_a_fe_ee=exp((_b[techcol] + _b[techcol_alevel] -_b[alevel])/3)-1;




xtreg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc  voc_primary voc_middle voc_olevel voc_alevel   
  techcol_olevel techcol_alevel rd* 
,i(firm) fe;
test  voc_primary voc_middle voc_olevel voc_alevel  techcol_olevel techcol_alevel;

reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc voc_primary voc_middle voc_olevel voc_alevel   
   techcol_olevel techcol_alevel /*voc_primary_ll voc_middle_ll voc_olevel_ll voc_alevel_ll*/ 
primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll ll 
  rd*,cluster(firm);

/*
reg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc voc_primary voc_middle voc_olevel voc_alevel   
   techcol_olevel techcol_alevel voc_primary_ll voc_middle_ll voc_olevel_ll voc_alevel_ll 
primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll ll
 rd*,cluster(firm);
*/
test primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll;
outreg using earnings_tz,nolabel replace;

gen rm_primary_10=exp((_b[primary]+_b[primary_ll]*ln(10))/7)-1;
gen rm_middle_10=exp((_b[middle]+_b[middle_ll]*ln(10))/8)-1;
gen rm_olevel_10=exp((_b[olevel]+_b[olevel_ll]*ln(10)-_b[primary]-_b[primary_ll]*ln(10))/4)-1;
gen rm_alevel_10=exp((_b[alevel]+_b[alevel_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_profes_10=exp((_b[profes]+_b[profes_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_highered_10=exp((_b[highered]+_b[highered_ll]*ln(10)-_b[alevel]-_b[alevel_ll]*ln(10))/3)-1;

gen rm_primary_100=exp((_b[primary]+_b[primary_ll]*ln(100))/7)-1;
gen rm_middle_100=exp((_b[middle]+_b[middle_ll]*ln(100))/8)-1;
gen rm_olevel_100=exp((_b[olevel]+_b[olevel_ll]*ln(100)-_b[primary]-_b[primary_ll]*ln(100))/4)-1;
gen rm_alevel_100=exp((_b[alevel]+_b[alevel_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_profes_100=exp((_b[profes]+_b[profes_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_highered_100=exp((_b[highered]+_b[highered_ll]*ln(100)-_b[alevel]-_b[alevel_ll]*ln(100))/3)-1;


gen rm_voc_p_10=exp((_b[vocation] + _b[voc_primary]+ln(10)*_b[voc_ll] -_b[primary]-ln(10)*_b[primary_ll])/2)-1;
gen rm_voc_m_10=exp((_b[vocation] + _b[voc_middle]+ln(10)*_b[voc_ll] -_b[middle]-ln(10)*_b[middle_ll])/2)-1;
gen rm_voc_o_10=exp((_b[vocation] + _b[voc_olevel]+ln(10)*_b[voc_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/2)-1;
gen rm_voc_a_10=exp((_b[vocation] + _b[voc_alevel]+ln(10)*_b[voc_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/2)-1;

gen rm_voc_p_100=exp((_b[vocation] + _b[voc_primary]+ln(100)*_b[voc_ll] -_b[primary]-ln(100)*_b[primary_ll])/2)-1;
gen rm_voc_m_100=exp((_b[vocation] + _b[voc_middle]+ln(100)*_b[voc_ll] -_b[middle]-ln(100)*_b[middle_ll])/2)-1;
gen rm_voc_o_100=exp((_b[vocation] + _b[voc_olevel]+ln(100)*_b[voc_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/2)-1;
gen rm_voc_a_100=exp((_b[vocation] + _b[voc_alevel]+ln(100)*_b[voc_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/2)-1;

gen rm_tech_o_10=exp((_b[techcol] + _b[techcol_olevel]+ln(10)*_b[techcol_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/3)-1;
gen rm_tech_a_10=exp((_b[techcol] + _b[techcol_alevel]+ln(10)*_b[techcol_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/3)-1;

gen rm_tech_o_100=exp((_b[techcol] + _b[techcol_olevel]+ln(100)*_b[techcol_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/3)-1;
gen rm_tech_a_100=exp((_b[techcol] + _b[techcol_alevel]+ln(100)*_b[techcol_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/3)-1;

gen r_train_c10=exp(_b[train_current]+_b[train_current_ll]*ln(10))-1;
gen r_train_p10=exp(_b[train_past]+_b[train_past_ll]*ln(10))-1;
gen r_train_sc10=exp(_b[train_sc]+_b[train_sc_ll]*ln(10))-1;


gen r_train_c100=exp(_b[train_current]+_b[train_current_ll]*ln(100))-1;
gen r_train_p100=exp(_b[train_past]+_b[train_past_ll]*ln(100))-1;
gen r_train_sc100=exp(_b[train_sc]+_b[train_sc_ll]*ln(100))-1;

xtreg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc voc_primary voc_middle voc_olevel voc_alevel   
   techcol_olevel techcol_alevel /*voc_primary_ll voc_middle_ll voc_olevel_ll voc_alevel_ll*/ 
primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll ll 
 rd*,i(firm) fe;
test primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll;
outreg using earnings_tz,nolabel append;

gen rm_primary_10_fe=exp((_b[primary]+_b[primary_ll]*ln(10))/7)-1;
gen rm_middle_10_fe=exp((_b[middle]+_b[middle_ll]*ln(10))/8)-1;
gen rm_olevel_10_fe=exp((_b[olevel]+_b[olevel_ll]*ln(10)-_b[primary]-_b[primary_ll]*ln(10))/4)-1;
gen rm_alevel_10_fe=exp((_b[alevel]+_b[alevel_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_profes_10_fe=exp((_b[profes]+_b[profes_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_highered_10_fe=exp((_b[highered]+_b[highered_ll]*ln(10)-_b[alevel]-_b[alevel_ll]*ln(10))/3)-1;

gen rm_primary_100_fe=exp((_b[primary]+_b[primary_ll]*ln(100))/7)-1;
gen rm_middle_100_fe=exp((_b[middle]+_b[middle_ll]*ln(100))/8)-1;
gen rm_olevel_100_fe=exp((_b[olevel]+_b[olevel_ll]*ln(100)-_b[primary]-_b[primary_ll]*ln(100))/4)-1;
gen rm_alevel_100_fe=exp((_b[alevel]+_b[alevel_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_profes_100_fe=exp((_b[profes]+_b[profes_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_highered_100_fe=exp((_b[highered]+_b[highered_ll]*ln(100)-_b[alevel]-_b[alevel_ll]*ln(100))/3)-1;

gen rm_voc_p_10_fe=exp((_b[vocation] + _b[voc_primary]+ln(10)*_b[voc_ll] -_b[primary]-ln(10)*_b[primary_ll])/2)-1;
gen rm_voc_m_10_fe=exp((_b[vocation] + _b[voc_middle]+ln(10)*_b[voc_ll] -_b[middle]-ln(10)*_b[middle_ll])/2)-1;
gen rm_voc_o_10_fe=exp((_b[vocation] + _b[voc_olevel]+ln(10)*_b[voc_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/2)-1;
gen rm_voc_a_10_fe=exp((_b[vocation] + _b[voc_alevel]+ln(10)*_b[voc_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/2)-1;

gen rm_voc_p_100_fe=exp((_b[vocation] + _b[voc_primary]+ln(100)*_b[voc_ll] -_b[primary]-ln(100)*_b[primary_ll])/2)-1;
gen rm_voc_m_100_fe=exp((_b[vocation] + _b[voc_middle]+ln(100)*_b[voc_ll] -_b[middle]-ln(100)*_b[middle_ll])/2)-1;
gen rm_voc_o_100_fe=exp((_b[vocation] + _b[voc_olevel]+ln(100)*_b[voc_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/2)-1;
gen rm_voc_a_100_fe=exp((_b[vocation] + _b[voc_alevel]+ln(100)*_b[voc_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/2)-1;

gen rm_tech_o_10_fe=exp((_b[techcol] + _b[techcol_olevel]+ln(10)*_b[techcol_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/3)-1;
gen rm_tech_a_10_fe=exp((_b[techcol] + _b[techcol_alevel]+ln(10)*_b[techcol_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/3)-1;

gen rm_tech_o_100_fe=exp((_b[techcol] + _b[techcol_olevel]+ln(100)*_b[techcol_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/3)-1;
gen rm_tech_a_100_fe=exp((_b[techcol] + _b[techcol_alevel]+ln(100)*_b[techcol_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/3)-1;

gen r_train_c10_fe=exp(_b[train_current]+_b[train_current_ll]*ln(10))-1;
gen r_train_p10_fe=exp(_b[train_past]+_b[train_past_ll]*ln(10))-1;
gen r_train_sc10_fe=exp(_b[train_sc]+_b[train_sc_ll]*ln(10))-1;


gen r_train_c100_fe=exp(_b[train_current]+_b[train_current_ll]*ln(100))-1;
gen r_train_p100_fe=exp(_b[train_past]+_b[train_past_ll]*ln(100))-1;
gen r_train_sc100_fe=exp(_b[train_sc]+_b[train_sc_ll]*ln(100))-1;

xtreg lern94us male capcity exp expsq tenure /*none*/ primary middle olevel
 alevel vocation techcol profes highered  train_current train_past train_sc voc_primary voc_middle voc_olevel voc_alevel   
   techcol_olevel techcol_alevel /*voc_primary_ll voc_middle_ll voc_olevel_ll voc_alevel_ll*/ 
primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll ll res_educ
 rd*,i(firm) fe;
test primary_ll middle_ll olevel_ll alevel_ll voc_ll techcol_ll profes_ll highered_ll train_current_ll train_past_ll
 train_sc_ll;
outreg using earnings_tz,nolabel append;

exit;

gen rm_primary_10_fe_ee=exp((_b[primary]+_b[primary_ll]*ln(10))/7)-1;
gen rm_middle_10_fe_ee=exp((_b[middle]+_b[middle_ll]*ln(10))/8)-1;
gen rm_olevel_10_fe_ee=exp((_b[olevel]+_b[olevel_ll]*ln(10)-_b[primary]-_b[primary_ll]*ln(10))/4)-1;
gen rm_alevel_10_fe_ee=exp((_b[alevel]+_b[alevel_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_profes_10_fe_ee=exp((_b[profes]+_b[profes_ll]*ln(10)-_b[olevel]-_b[olevel_ll]*ln(10))/2)-1;
gen rm_highered_10_fe_ee=exp((_b[highered]+_b[highered_ll]*ln(10)-_b[alevel]-_b[alevel_ll]*ln(10))/3)-1;

gen rm_primary_100_fe_ee=exp((_b[primary]+_b[primary_ll]*ln(100))/7)-1;
gen rm_middle_100_fe_ee=exp((_b[middle]+_b[middle_ll]*ln(100))/8)-1;
gen rm_olevel_100_fe_ee=exp((_b[olevel]+_b[olevel_ll]*ln(100)-_b[primary]-_b[primary_ll]*ln(100))/4)-1;
gen rm_alevel_100_fe_ee=exp((_b[alevel]+_b[alevel_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_profes_100_fe_ee=exp((_b[profes]+_b[profes_ll]*ln(100)-_b[olevel]-_b[olevel_ll]*ln(100))/2)-1;
gen rm_highered_100_fe_ee=exp((_b[highered]+_b[highered_ll]*ln(100)-_b[alevel]-_b[alevel_ll]*ln(100))/3)-1;

gen rm_voc_p_10_fe_ee=exp((_b[vocation] + _b[voc_primary]+ln(10)*_b[voc_ll] -_b[primary]-ln(10)*_b[primary_ll])/2)-1;
gen rm_voc_m_10_fe_ee=exp((_b[vocation] + _b[voc_middle]+ln(10)*_b[voc_ll] -_b[middle]-ln(10)*_b[middle_ll])/2)-1;
gen rm_voc_o_10_fe_ee=exp((_b[vocation] + _b[voc_olevel]+ln(10)*_b[voc_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/2)-1;
gen rm_voc_a_10_fe_ee=exp((_b[vocation] + _b[voc_alevel]+ln(10)*_b[voc_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/2)-1;

gen rm_voc_p_100_fe_ee=exp((_b[vocation] + _b[voc_primary]+ln(100)*_b[voc_ll] -_b[primary]-ln(100)*_b[primary_ll])/2)-1;
gen rm_voc_m_100_fe_ee=exp((_b[vocation] + _b[voc_middle]+ln(100)*_b[voc_ll] -_b[middle]-ln(100)*_b[middle_ll])/2)-1;
gen rm_voc_o_100_fe_ee=exp((_b[vocation] + _b[voc_olevel]+ln(100)*_b[voc_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/2)-1;
gen rm_voc_a_100_fe_ee=exp((_b[vocation] + _b[voc_alevel]+ln(100)*_b[voc_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/2)-1;

gen rm_tech_o_10_fe_ee=exp((_b[techcol] + _b[techcol_olevel]+ln(10)*_b[techcol_ll] -_b[olevel]-ln(10)*_b[olevel_ll])/3)-1;
gen rm_tech_a_10_fe_ee=exp((_b[techcol] + _b[techcol_alevel]+ln(10)*_b[techcol_ll] -_b[alevel]-ln(10)*_b[alevel_ll])/3)-1;

gen rm_tech_o_100_fe_ee=exp((_b[techcol] + _b[techcol_olevel]+ln(100)*_b[techcol_ll] -_b[olevel]-ln(100)*_b[olevel_ll])/3)-1;
gen rm_tech_a_100_fe_ee=exp((_b[techcol] + _b[techcol_alevel]+ln(100)*_b[techcol_ll] -_b[alevel]-ln(100)*_b[alevel_ll])/3)-1;

gen r_train_c10_fe_ee=exp(_b[train_current]+_b[train_current_ll]*ln(10))-1;
gen r_train_p10_fe_ee=exp(_b[train_past]+_b[train_past_ll]*ln(10))-1;
gen r_train_sc10_fe_ee=exp(_b[train_sc]+_b[train_sc_ll]*ln(10))-1;


gen r_train_c100_fe_ee=exp(_b[train_current]+_b[train_current_ll]*ln(100))-1;
gen r_train_p100_fe_ee=exp(_b[train_past]+_b[train_past_ll]*ln(100))-1;
gen r_train_sc100_fe_ee=exp(_b[train_sc]+_b[train_sc_ll]*ln(100))-1;

save temp1,replace;

keep rm* r_train*; 

keep if _n==1;

save temp1_master,replace;

use temp1_master,clear;
gen time1="Primary";
gen ror=rm_primary_a;
gen ror_fe=rm_primary_a_fe;
gen ror_fe_ee=rm_primary_a_fe_ee;
gen ror_ee=rm_primary_a_ee;
gen ror_10=rm_primary_10;
gen ror_100=rm_primary_100;
gen ror_10_fe=rm_primary_10_fe;
gen ror_100_fe=rm_primary_100_fe;
gen ror_10_fe_ee=rm_primary_10_fe_ee;
gen ror_100_fe_ee=rm_primary_100_fe_ee;

save t_primary,replace;

use temp1_master,clear;
gen time1="Middle School";
gen ror=rm_middle_a;
gen ror_fe=rm_middle_a_fe;
gen ror_ee=rm_middle_a_ee;
gen ror_fe_ee=rm_middle_a_fe_ee;
gen ror_10=rm_middle_10;
gen ror_100=rm_middle_100;
gen ror_10_fe=rm_middle_10_fe;
gen ror_100_fe=rm_middle_100_fe;
gen ror_10_fe_ee=rm_middle_10_fe_ee;
gen ror_100_fe_ee=rm_middle_100_fe_ee;

save t_middle,replace;

use temp1_master,clear;
gen time1="O-Level";
gen ror=rm_olevel_a;
gen ror_fe=rm_olevel_a_fe;
gen ror_ee=rm_olevel_a_ee;
gen ror_fe_ee=rm_olevel_a_fe_ee;
gen ror_10=rm_olevel_10;
gen ror_100=rm_olevel_100;
gen ror_10_fe=rm_olevel_10_fe;
gen ror_100_fe=rm_olevel_100_fe;
gen ror_10_fe_ee=rm_olevel_10_fe_ee;
gen ror_100_fe_ee=rm_olevel_100_fe_ee;

save t_olevel,replace;

use temp1_master,clear;
gen time1="A-Level";
gen ror=rm_alevel_a;
gen ror_fe=rm_alevel_a_fe;
gen ror_ee=rm_alevel_a_ee;
gen ror_fe_ee=rm_alevel_a_fe_ee;
gen ror_10=rm_alevel_10;
gen ror_100=rm_alevel_100;
gen ror_10_fe=rm_alevel_10_fe;
gen ror_100_fe=rm_alevel_100_fe;
gen ror_10_fe_ee=rm_alevel_10_fe_ee;
gen ror_100_fe_ee=rm_alevel_100_fe_ee;

save t_alevel,replace;

use temp1_master,clear;
gen time1="Professional";
gen ror=rm_profes_a;
gen ror_fe=rm_profes_a_fe;
gen ror_fe_ee=rm_profes_a_fe_ee;
gen ror_ee=rm_profes_a_ee;
gen ror_10=rm_profes_10;
gen ror_100=rm_profes_100;
gen ror_10_fe=rm_profes_10_fe;
gen ror_100_fe=rm_profes_100_fe;
gen ror_10_fe_ee=rm_profes_10_fe_ee;
gen ror_100_fe_ee=rm_profes_100_fe_ee;

save t_profes,replace;

use temp1_master,clear;
gen time1="University Education";
gen ror=rm_highered_a;
gen ror_fe=rm_highered_a_fe;
gen ror_fe_ee=rm_highered_a_fe_ee;
gen ror_ee=rm_highered_a_ee;
gen ror_10=rm_highered_10;
gen ror_100=rm_highered_100;
gen ror_10_fe=rm_highered_10_fe;
gen ror_100_fe=rm_highered_100_fe;
gen ror_10_fe_ee=rm_highered_10_fe_ee;
gen ror_100_fe_ee=rm_highered_100_fe_ee;

save t_highered,replace;

use temp1_master,clear;
gen time1="Vocational Education After Primary";
gen ror=rm_voc_p;
gen ror_fe=rm_voc_p_fe;
gen ror_ee=rm_voc_p_ee;
gen ror_fe_ee=rm_voc_p_fe_ee;
gen ror_10=rm_voc_p_10;
gen ror_100=rm_voc_p_100;
gen ror_10_fe=rm_voc_p_10_fe;
gen ror_100_fe=rm_voc_p_100_fe;
gen ror_10_fe_ee=rm_voc_p_10_fe_ee;
gen ror_100_fe_ee=rm_voc_p_100_fe_ee;

save t_voc_primary,replace;

use temp1_master,clear;
gen time1="Vocational Education After Middle";
gen ror=rm_voc_m;
gen ror_fe=rm_voc_m_fe;
gen ror_ee=rm_voc_m_ee;
gen ror_fe_ee=rm_voc_m_fe_ee;
gen ror_10=rm_voc_m_10;
gen ror_100=rm_voc_m_100;
gen ror_10_fe=rm_voc_m_10_fe;
gen ror_100_fe=rm_voc_m_100_fe;
gen ror_10_fe_ee=rm_voc_m_10_fe_ee;
gen ror_100_fe_ee=rm_voc_m_100_fe_ee;

save t_voc_middle,replace;

use temp1_master,clear;
gen time1="Vocational Education After O-Level";
gen ror=rm_voc_o;
gen ror_fe=rm_voc_o_fe;
gen ror_ee=rm_voc_o_ee;
gen ror_fe_ee=rm_voc_o_fe_ee;
gen ror_10=rm_voc_o_10;
gen ror_100=rm_voc_o_100;
gen ror_10_fe=rm_voc_o_10_fe;
gen ror_100_fe=rm_voc_o_100_fe;
gen ror_10_fe_ee=rm_voc_o_10_fe_ee;
gen ror_100_fe_ee=rm_voc_o_100_fe_ee;

save t_voc_olevel,replace;

use temp1_master,clear;
gen time1="Vocational Education After A-Level";
gen ror=rm_voc_a;
gen ror_fe=rm_voc_a_fe;
gen ror_fe_ee=rm_voc_a_fe_ee;
gen ror_ee=rm_voc_a_ee;
gen ror_10=rm_voc_a_10;
gen ror_100=rm_voc_a_100;
gen ror_10_fe=rm_voc_a_10_fe;
gen ror_100_fe=rm_voc_a_100_fe;
gen ror_10_fe_ee=rm_voc_a_10_fe_ee;
gen ror_100_fe_ee=rm_voc_a_100_fe_ee;

save t_voc_alevel,replace;

use temp1_master,clear;
gen time1="Technical College After O-Level";
gen ror=rm_tech_o;
gen ror_fe=rm_tech_o_fe;
gen ror_ee=rm_tech_o_ee;
gen ror_fe_ee=rm_tech_o_fe_ee;
gen ror_10=rm_tech_o_10;
gen ror_100=rm_tech_o_100;
gen ror_10_fe=rm_tech_o_10_fe;
gen ror_100_fe=rm_tech_o_100_fe;
gen ror_10_fe_ee=rm_tech_o_10_fe_ee;
gen ror_100_fe_ee=rm_tech_o_100_fe_ee;

save t_tc_olevel,replace;


use temp1_master,clear;
gen time1="Technical College After A-Level";
gen ror=rm_tech_a;
gen ror_fe=rm_tech_a_fe;
gen ror_fe_ee=rm_tech_a_fe_ee;
gen ror_ee=rm_tech_a_ee;
gen ror_10=rm_tech_a_10;
gen ror_100=rm_tech_a_100;
gen ror_10_fe=rm_tech_a_10_fe;
gen ror_100_fe=rm_tech_a_100_fe;
gen ror_10_fe_ee=rm_tech_a_10_fe_ee;
gen ror_100_fe_ee=rm_tech_a_100_fe_ee;

save t_tc_alevel,replace;

append using t_voc_primary;
*append using t_voc_middle;
append using t_voc_olevel;
append using t_voc_alevel;
append using t_tc_olevel;
*append using t_tc_alevel;

append using t_primary;
*append using t_middle;
append using t_olevel;
append using t_alevel;
append using t_profes;
append using t_highered;


gen order=1 if time1=="Primary";
replace order=2 if time1=="Vocational Education After Primary";
/*
replace order=3 if time1=="Middle School";
replace order=4 if time1=="Vocational Education After Middle";
*/
replace order=3 if time1=="O-Level";
replace order=4 if time1=="Vocational Education After O-Level";
replace order=5 if time1=="Technical College After O-Level";
replace order=6 if time1=="A-Level";

replace order=7 if time1=="Vocational Education After A-Level";
replace order=8 if time1=="Technical College After A-Level";

replace order=9 if time1=="Professional";
replace order=10 if time1=="University Education";

/*
replace order=13 if time1=="Current Training in the Firm";
replace order=14 if time1=="Past Firm-Level Training";
replace order=15 if time1=="Short Course Training Attended";
*/


replace ror=ror*100;
replace ror_10=ror_10*100;
replace ror_100=ror_100*100;
replace ror_10_fe=ror_10_fe*100;
replace ror_100_fe=ror_100_fe*100;
replace ror_fe=ror_fe*100;
replace ror_ee=ror_ee*100;
replace ror_fe_ee=ror_fe_ee*100;
replace ror_10_fe_ee=ror_10_fe_ee*100;
replace ror_100_fe_ee=ror_100_fe_ee*100;


sort order;
list time1 ror ror_ee ror_fe ror_fe_ee;
list time1 ror_10 ror_100 ror_10_fe ror_100_fe ror_10_fe_ee ror_100_fe_ee ;

/* 
graph hbar ror, over(time1,sort(order)) ylabel(,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return",span) 
note("Note: Rates of return are based on Table 3 Column (1).",span);
exit;

graph hbar ror_ee, over(time1,sort(order)) ylabel(0(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return Allowing for Endogeneity of Education"
,span) 
note("Note: Rates of return are based on Table 3 Column (2).",span);
exit;

graph hbar ror_fe, over(time1,sort(order)) ylabel(0(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return with Firm Fixed Effects",span) 
note("Note: Rates of return are based on Table 3 Column (3).",span);
exit;

graph hbar ror_fe_ee, over(time1,sort(order)) ylabel(0(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return with Firm Fixed Effects"
"Allowing for Endogeneity of Education"
,span) 
note("Note: Rates of return are based on Table 3 Column (4)",span);

exit;

graph hbar ror_100, over(time1,sort(order)) ylabel(,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Large Firms"
,span) 
note("Note: Rates of return are based on Table 4 Column (1).",span);
exit;

graph hbar ror_10, over(time1,sort(order)) ylabel(-10(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Small Firms"
,span) 
note("Note: Rates of return are based on Table 4 Column (1).",span);
exit;

graph hbar ror_100_fe, over(time1,sort(order)) ylabel(-10(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Large Firms"
"with Firm Fixed Effects" ,span) 
note("Note: Rates of return are based on Table 4 Column (2).",span);
exit;

graph hbar ror_10_fe, over(time1,sort(order)) ylabel(-10(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Small Firms"
"with Firm Fixed Effects" ,span) 
note("Note: Rates of return are based on Table 4 Column (2).",span);
exit;

graph hbar ror_10_fe_ee, over(time1,sort(order)) ylabel(-10(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Small Firms"
"with Firm Fixed Effects" "Allowing for Endogeneity of Education"
,span) 
note("Note: Rates of return are based on Table 4 Column (3).",span);
exit;

graph hbar ror_100_fe_ee, over(time1,sort(order)) ylabel(-10(10)40,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Mincerian Rates of Return for those Employed in Large Firms"
"with Firm Fixed Effects" "Allowing for Endogeneity of Education"
,span) 
note("Note: Rates of return are based on Table 4 Column (3).",span);
exit;
*/ 

/*These runs are for the training figures*/
use temp1_master,clear;
gen time1="Current Training in the Firm";
gen ror_10=r_train_c10;
gen ror_100=r_train_c100;
gen ror_10_fe=r_train_c10_fe;
gen ror_100_fe=r_train_c100_fe;
gen ror_10_fe_ee=r_train_c10_fe_ee;
gen ror_100_fe_ee=r_train_c100_fe_ee;

save t_train_c,replace;

use temp1_master,clear;
gen time1="Past Firm-Level Training";
gen ror_10=r_train_p10;
gen ror_100=r_train_p100;
gen ror_10_fe=r_train_p10_fe;
gen ror_100_fe=r_train_p100_fe;
gen ror_10_fe_ee=r_train_p10_fe_ee;
gen ror_100_fe_ee=r_train_p100_fe_ee;

save t_train_p,replace;

use temp1_master,clear;
gen time1="Short Course Training Attended";
gen ror_10=r_train_sc10;
gen ror_100=r_train_sc100;
gen ror_10_fe=r_train_sc10_fe;
gen ror_100_fe=r_train_sc100_fe;
gen ror_10_fe_ee=r_train_sc10_fe_ee;
gen ror_100_fe_ee=r_train_sc100_fe_ee;
save t_train_sc,replace;

append using t_train_p;
append using t_train_c;


gen order1=1 if time1=="Current Training in the Firm";
replace order1=2 if time1=="Past Firm-Level Training";
replace order1=3 if time1=="Short Course Training Attended";

 

replace ror_10=ror_10*100;
replace ror_100=ror_100*100;
replace ror_10_fe=ror_10_fe*100;
replace ror_100_fe=ror_100_fe*100;
replace ror_10_fe_ee=ror_10_fe_ee*100;
replace ror_100_fe_ee=ror_100_fe_ee*100;
sort time1;
list time1 ror_10 ror_100 ror_10_fe ror_100_fe ror_10_fe_ee ror_100_fe_ee;



/*
graph hbar ror_10, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Small Firms",span)
note("Rate of returns are based on Table 4 Column (1)",span);
exit;

graph hbar ror_100, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Large Firms",span)
note("Rate of returns are based on Table 4 Column (1)",span);
exit;

graph hbar ror_10_fe, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Small Firms"
 "Allowing for Firm Fixed Effects",span)
note("Rate of returns are based on Table 4 Column (2)",span);
exit;

graph hbar ror_100_fe, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Large Firms"
 "Allowing for Firm Fixed Effects",span)
note("Rate of returns are based on Table 4 Column (2)",span);
exit;

graph hbar ror_10_fe_ee, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Small Firms"
 "Allowing for Firm Fixed Effects" "Allowing for Endogeneity of Education",span)
note("Rate of returns are based on Table 4 Column (3)",span);
exit;
*/
graph hbar ror_100_fe_ee, over(time1,sort(order1)) ylabel(-5(5)15,angle(horizontal))  graphregion(fcolor(gs16))
ytitle("Percent", orient(horizontal) al(top)) title("Rate of Return on Training in Large Firms"
 "Allowing for Firm Fixed Effects" "Allowing for Endogeneity of Education",span)
note("Rate of returns are based on Table 4 Column (3)",span);


exit;


